Bug 324861 - Can't install java-1.7.0-icedtea-plugin and some other problems
Can't install java-1.7.0-icedtea-plugin and some other problems
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 09:35 EDT by Espen Stefansen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 16:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Espen Stefansen 2007-10-09 09:35:51 EDT
Description of problem:
running 'yum install java-1.7.0-icedtea-plugin' gives me the following:
--> Processing Dependency: java-1.7.0-icedtea = 1.7.0.0-0.16.b19.snapshot.fc8
for package: java-1.7.0-icedtea-plugin
--> Finished Dependency Resolution
Error: Missing Dependency: java-1.7.0-icedtea = 1.7.0.0-0.16.b19.snapshot.fc8 is
needed by package java-1.7.0-icedtea-plugin

I also had some problems relating to openoffice and icedtea, see bug#324641,
where i couldn't update openoffice. When i tried that solution, with removing
openoffice and icedtea and reinstalling it again, I could install all of them
again, with the exception of the icedtea-plugin. 

And before and after this, running 'rpm -q --whatprovides libjawt.so' gives me
no results, while according to caloanm it should give me:
java-1.7.0-icedtea-1.7.0.0-0.16.b19.snapshot.fc8
libgcj-4.1.2-31



Version-Release number of selected component (if applicable):
[root@itse68482 ~]# rpm -qa | grep java | sort
java-1.5.0-gcj-1.5.0.0-14.fc7
java-1.7.0-icedtea-1.7.0.0-0.16.b19.snapshot.fc8
java_cup-0.10-0.k.6jpp.1
system-switch-java-1.1.2-1.fc8
tzdata-java-2007h-1.fc8
Comment 1 Thomas Fitzsimmons 2007-10-10 16:18:40 EDT
"yum install java-1.7.0-icedtea-plugin" works for me on my x86 Rawhide Xen
instance, as well as:

rpm -ql java-1.7.0-icedtea|grep libjawt.so
/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/i386/libjawt.so

$ rpm -q --whatprovides libjawt.so
libgcj-4.1.2-31
java-1.7.0-icedtea-1.7.0.0-0.16.b19.snapshot.fc8

Inconsistencies/corruption in your rpm database may lead to the inconsistencies
you're seeing (as caolanm suggested in the other bug report).

Note You need to log in before you can comment on or make changes to this bug.